## vibes 0.2.3+dfsg

=== viewer/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.9)

PROJECT(VIBes_viewer)

# Viewer executable name
SET(VIBES_viewer_EXE VIBes-viewer)

# Target architectures for MacOS X build
SET(CMAKE_OSX_ARCHITECTURES x86_64) #;i386;ppc;ppc64)

# Automatically preprocess Qt classes with MOC
SET(CMAKE_AUTOMOC ON)
SET(CMAKE_INCLUDE_CURRENT_DIR ON)

# We need C++11 (or C++0x)
include(CheckCXXCompilerFlag)
CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
if(COMPILER_SUPPORTS_CXX11)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
elseif(COMPILER_SUPPORTS_CXX0X)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
else()
    message(FATAL_ERROR "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
endif()

# Force -fPIC flag, needed to use Qt5 on Linux.
if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
endif()


# Find Qt5 Modules
FIND_PACKAGE(Qt5Core REQUIRED)
FIND_PACKAGE(Qt5Widgets REQUIRED)
FIND_PACKAGE(Qt5Gui REQUIRED)
FIND_PACKAGE(Qt5Network REQUIRED)
FIND_PACKAGE(Qt5Svg REQUIRED)

add_definitions(-D_USE_STATIC_BUILDS_)
# Source files
SET(VIBes_viewer_SOURCES main.cpp
                         vibesgraphicsitem.cpp
                         vibesscene2d.cpp
                         figure2d.cpp
                         vibestreemodel.cpp
                         vibeswindow.cpp
                         propertyeditdialog.cpp )

# Headers
SET(VIBes_viewer_HEADERS
                         vibesgraphicsitem.h
                         vibesscene2d.h
                         figure2d.h
                         vibestreemodel.h
                         vibeswindow.h
                         propertyeditdialog.h )

# Qt designer UI files
SET(VIBes_viewer_FORMS vibeswindow.ui propertyeditdialog.ui)
# Process Qt UI files
QT5_WRAP_UI(VIBes_viewer_FORMS_HEADERS ${VIBes_viewer_FORMS})

# Organise source files
source_group("Headers" FILES ${VIBes_viewer_HEADERS})
source_group("Qt generated headers" FILES ${VIBes_viewer_FORMS_HEADERS})

# Build and add an application icon
include(MacroAddAppIcon.cmake)
ADD_APP_ICON(VIBes_viewer_SOURCES icons/vibes)

# Vibes-viewer executable
ADD_EXECUTABLE(${VIBES_viewer_EXE} WIN32 MACOSX_BUNDLE ${VIBes_viewer_SOURCES} ${VIBes_viewer_HEADERS} ${VIBes_viewer_FORMS_HEADERS})

# Qt5 Modules
QT5_USE_MODULES(${VIBES_viewer_EXE} Widgets Gui Core Network Svg)

IF(UNIX)
		INSTALL(TARGETS ${VIBES_viewer_EXE} DESTINATION bin)
ENDIF(UNIX)

# Packaging
IF(APPLE)
    IF(NOT QT_BINARY_DIR)
        SET(QT_BINARY_DIR ${_qt5Core_install_prefix}/bin)
        message(STATUS "QT_BINARY_DIR was not set. Located it at ${QT_BINARY_DIR}")
    ENDIF(NOT QT_BINARY_DIR)

    # Copy dependencies to the app bundle
    INSTALL(CODE "message(STATUS \"Running ${QT_BINARY_DIR}/macdeployqt on ${VIBES_viewer_EXE}.app\")
                  execute_process(COMMAND ${QT_BINARY_DIR}/macdeployqt ${VIBES_viewer_EXE}.app)
                  ")

    # Copy the Application bundle
    INSTALL(TARGETS ${VIBES_viewer_EXE} BUNDLE DESTINATION .)#${CMAKE_CURRENT_BINARY_DIR})

    # Copy API files
    install(FILES ../client-api/C/vibes.h ../client-api/C/vibes.c DESTINATION "Vibes C")
    install(DIRECTORY ../client-api/C/examples DESTINATION "Vibes C")

    install(DIRECTORY ../client-api/C++/src DESTINATION "Vibes C++")
    install(DIRECTORY ../client-api/C++/examples DESTINATION "Vibes C++")

    # Setup DMG window appearance: background image, size and icon layout
    SET(CPACK_DMG_BACKGROUND_IMAGE ${CMAKE_CURRENT_SOURCE_DIR}/VIBes_DMG_bg/VIBes_DMG_bg.jpg)
    SET(CPACK_DMG_DS_STORE ${CMAKE_CURRENT_SOURCE_DIR}/VIBes_DMG_bg/DS_Store)

    SET(CPACK_PACKAGE_NAME VIBes)

    SET(CPACK_GENERATOR "DragNDrop")
    include(CPack)
ENDIF(APPLE)

=== debian/changelog ===
vibes (0.2.3+dfsg-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:23:38 +1100

vibes (0.2.3+dfsg-1.1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:26:38 +0000

vibes (0.2.3+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063045

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 22:34:17 +0000

vibes (0.2.3+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #1059434)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 25 Dec 2023 12:52:39 -0300

=== debian/control ===
Source: vibes
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Rafael Laboissière <rafael@debian.org>
Rules-Requires-Root: no
Build-Depends: dpkg-dev (>= 1.22.5), cmake,
               debhelper-compat (= 13),
               libqt5svg5-dev,
               pandoc,
               qtbase5-dev,
               xauth,
               xvfb
Standards-Version: 4.6.2
Homepage: http://enstabretagnerobotics.github.io/VIBES/
#Vcs-Browser: https://salsa.debian.org/debian/vibes
#Vcs-Git: https://salsa.debian.org/debian/vibes.git

Package: vibes
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: visualizer for intervals and boxes
 VIBes is a visualization system that aims at providing people working
 with interval methods a way to display results (boxes, pavings),
 without worrying with GUI programming. It provides drawing functions
 accessible from a lot of programming languages, without complex
 installation and library dependencies. The main design goal of VIBes
 is to be cross-platform, available from different programming
 languages, simple to set-up, easy to port to a new language.

Package: libvibes-dev
Section: libdevel
Architecture: any
Depends: libvibes0t64 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Description: visualizer for intervals and boxes (development files)
 VIBes is a visualization system that aims at providing people working
 with interval methods a way to display results (boxes, pavings),
 without worrying with GUI programming. It provides drawing functions
 accessible from a lot of programming languages, without complex
 installation and library dependencies. The main design goal of VIBes
 is to be cross-platform, available from different programming
 languages, simple to set-up, easy to port to a new language.
 .
 This package contains the header files for creating clients in C++
 for VIBes, as well as the code examples.

Package: libvibes0t64
Provides: ${t64:Provides}
Replaces: libvibes0
Breaks: libvibes0 (<< ${source:Version})
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: visualizer for intervals and boxes (client library for C++)
 VIBes is a visualization system that aims at providing people working
 with interval methods a way to display results (boxes, pavings),
 without worrying with GUI programming. It provides drawing functions
 accessible from a lot of programming languages, without complex
 installation and library dependencies. The main design goal of VIBes
 is to be cross-platform, available from different programming
 languages, simple to set-up, easy to port to a new language.
 .
 This package contains the shared library for building client
 applications for VIBes in C++.

## vibes 0.3.1%2Bdfsg

=== debian/changelog ===
vibes (0.3.1+dfsg-2) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Mark package libvibes0t64 Multi-Arch
    + Drop “Rules-Requires-Root: no”, which is now the default
    + Build-depend on Qt6
  * d/watch: Convert to format version 5

 -- Rafael Laboissière <rafael@debian.org>  Sat, 20 Sep 2025 09:49:59 -0300

vibes (0.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version 0.3.1+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Sat, 12 Oct 2024 01:37:51 -0300

vibes (0.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.3.0+dfsg
  * d/p/build-shared-library.patch: Refresh for new upstream version
  * d/libvibes0t64.lintian-overrides: Drop unused override
    package-name-doesnt-match-sonames

 -- Rafael Laboissière <rafael@debian.org>  Fri, 20 Sep 2024 13:40:06 -0300

vibes (0.2.3+dfsg-2) unstable; urgency=medium

  * Acknowledge NMUs, thanks Steve Langasek
  * d/control:
    + Use secure URL for Homepage
    + Uncomment Vcs-* fields
    + Bump Standards-Version to 4.7.0 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 30 Apr 2024 06:48:29 -0300

vibes (0.2.3+dfsg-1.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Sun, 04 Feb 2024 17:47:27 +0000

## vibes 0.3.1+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: vibes
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Rafael Laboissière <rafael@debian.org>
+Maintainer: Rafael Laboissière <rafael@debian.org>
 Rules-Requires-Root: no
-Build-Depends: dpkg-dev (>= 1.22.5), cmake,
+Build-Depends: cmake,
                debhelper-compat (= 13),
+               dpkg-dev (>= 1.22.5),
                libqt5svg5-dev,
                pandoc,
                qtbase5-dev,
                xauth,
                xvfb
-Standards-Version: 4.6.2
-Homepage: http://enstabretagnerobotics.github.io/VIBES/
-#Vcs-Browser: https://salsa.debian.org/debian/vibes
-#Vcs-Git: https://salsa.debian.org/debian/vibes.git
+Standards-Version: 4.7.0
+Homepage: https://enstabretagnerobotics.github.io/VIBES/
+Vcs-Browser: https://salsa.debian.org/debian/vibes
+Vcs-Git: https://salsa.debian.org/debian/vibes.git
 
 Package: vibes
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# See https://wiki.debian.org/Hardening#Notes_for_packages_using_CMake
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CXXFLAGS += $(CPPFLAGS)

CMAKE_FLAGS = -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_INSTALL_PREFIX=distrib

%:
	dh $@

override_dh_auto_build:
	cd viewer ;			\
	mkdir -p build ;		\
	cd build ;			\
	cmake $(CMAKE_FLAGS) .. ;	\
	make
	pandoc --standalone --from=markdown --to=man	\
	    debian/VIBes-viewer.md			\
	    --output=viewer/build/VIBes-viewer.1

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	VIBES_VIEWER=viewer/build/VIBes-viewer	\
	    QT_QPA_PLATFORM=offscreen		\
	    xvfb-run -a debian/tests/run-tests
endif

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,\
      compression=xz,\
      uversionmangle=s/^vibes-/vibes-/,\
      dversionmangle=s/[~+]dfsg[0-9]*//" \
https://github.com/ENSTABretagneRobotics/VIBES/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## vibes 0.3.2+dfsg

=== debian/changelog ===
vibes (0.3.2+dfsg-1) unstable; urgency=medium

  * New upstream version 0.3.2+dfsg
  * d/control: Mark the build-dependencies that are necessary only for
    running the test suite with the profile <!nocheck>
  * d/rules:
    + Put target override_dh_auto_test nside the ifeq conditional
    + Set DEB_BUILD_MAINT_OPTIONS to hardening=+all

 -- Rafael Laboissière <rafael@debian.org>  Wed, 08 Oct 2025 08:59:25 -0300

## vibes 0.3.3+dfsg

=== viewer/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.9...3.26)

PROJECT(VIBes_viewer)

# Viewer executable name
SET(VIBES_viewer_EXE VIBes-viewer)

# Target architectures for MacOS X build
#SET(CMAKE_OSX_ARCHITECTURES x86_64) #;i386;ppc;ppc64)

# Automatically preprocess Qt classes with MOC
SET(CMAKE_AUTOMOC ON)
SET(CMAKE_INCLUDE_CURRENT_DIR ON)

# We need C++11 (or C++0x) for Qt5, C++17 for Qt6
include(CheckCXXCompilerFlag)
CHECK_CXX_COMPILER_FLAG("-std=c++17" COMPILER_SUPPORTS_CXX17)
CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
if(COMPILER_SUPPORTS_CXX17)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17")
elseif(COMPILER_SUPPORTS_CXX11)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
elseif(COMPILER_SUPPORTS_CXX0X)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
else()
    message(WARNING "The compiler ${CMAKE_CXX_COMPILER} might not have C++11 support.")
endif()

# Force -fPIC flag, needed to use Qt5 on Linux.
if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
endif()


# Find Qt5 or Qt6 Modules
find_package(QT NAMES Qt6 Qt5 REQUIRED)
if (${QT_VERSION_MAJOR} VERSION_EQUAL "5")
    find_package(Qt${QT_VERSION_MAJOR}Core REQUIRED)
    find_package(Qt${QT_VERSION_MAJOR}Widgets REQUIRED)
    find_package(Qt${QT_VERSION_MAJOR}Gui REQUIRED)
    find_package(Qt${QT_VERSION_MAJOR}Network REQUIRED)
    find_package(Qt${QT_VERSION_MAJOR}Svg REQUIRED)
else()
    find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core Widgets Gui Network Svg REQUIRED)
endif()

add_definitions(-D_USE_STATIC_BUILDS_)
# Source files
SET(VIBes_viewer_SOURCES main.cpp
                         vibesgraphicsitem.cpp
                         vibesscene2d.cpp
                         figure2d.cpp
                         vibestreemodel.cpp
                         vibeswindow.cpp
                         propertyeditdialog.cpp
			 treeview.cpp )

# Headers
SET(VIBes_viewer_HEADERS
                         vibesgraphicsitem.h
                         vibesscene2d.h
                         figure2d.h
                         vibestreemodel.h
                         vibeswindow.h
                         propertyeditdialog.h
			 treeview.h )

# Qt designer UI files
SET(VIBes_viewer_FORMS vibeswindow.ui propertyeditdialog.ui)
# Process Qt UI files
if (${QT_VERSION_MAJOR} VERSION_EQUAL "5")
    QT5_WRAP_UI(VIBes_viewer_FORMS_HEADERS ${VIBes_viewer_FORMS})
else()
    QT_WRAP_UI(VIBes_viewer_FORMS_HEADERS ${VIBes_viewer_FORMS})
endif()

# Organise source files
source_group("Headers" FILES ${VIBes_viewer_HEADERS})
source_group("Qt generated headers" FILES ${VIBes_viewer_FORMS_HEADERS})

# Build and add an application icon
include(MacroAddAppIcon.cmake)
ADD_APP_ICON(VIBes_viewer_SOURCES icons/vibes)

# Vibes-viewer executable
ADD_EXECUTABLE(${VIBES_viewer_EXE} WIN32 MACOSX_BUNDLE ${VIBes_viewer_SOURCES} ${VIBes_viewer_HEADERS} ${VIBes_viewer_FORMS_HEADERS})

# Qt Modules
if (${QT_VERSION_MAJOR} VERSION_EQUAL "5")
    QT5_USE_MODULES(${VIBES_viewer_EXE} Widgets Gui Core Network Svg)
else()
    target_link_libraries(${VIBES_viewer_EXE} PRIVATE Qt${QT_VERSION_MAJOR}::Widgets Qt${QT_VERSION_MAJOR}::Gui Qt${QT_VERSION_MAJOR}::Core Qt${QT_VERSION_MAJOR}::Network Qt${QT_VERSION_MAJOR}::Svg)
endif()

IF(UNIX OR WIN32)
		INSTALL(TARGETS ${VIBES_viewer_EXE} DESTINATION bin)
ENDIF(UNIX OR WIN32)

# Packaging
IF(APPLE)
    IF(NOT QT_BINARY_DIR)
        SET(QT_BINARY_DIR ${_qt${QT_VERSION_MAJOR}Core_install_prefix}/bin)
        message(STATUS "QT_BINARY_DIR was not set. Located it at ${QT_BINARY_DIR}")
    ENDIF(NOT QT_BINARY_DIR)

    # Copy dependencies to the app bundle
    INSTALL(CODE "message(STATUS \"Running ${QT_BINARY_DIR}/macdeployqt on ${VIBES_viewer_EXE}.app\")
                  execute_process(COMMAND ${QT_BINARY_DIR}/macdeployqt ${VIBES_viewer_EXE}.app)
                  ")

    # Copy the Application bundle
    INSTALL(TARGETS ${VIBES_viewer_EXE} BUNDLE DESTINATION .)#${CMAKE_CURRENT_BINARY_DIR})

    # Setup DMG window appearance: background image, size and icon layout
    SET(CPACK_DMG_BACKGROUND_IMAGE ${CMAKE_CURRENT_SOURCE_DIR}/VIBes_DMG_bg/VIBes_DMG_bg.jpg)
    SET(CPACK_DMG_DS_STORE ${CMAKE_CURRENT_SOURCE_DIR}/VIBes_DMG_bg/DS_Store)

    SET(CPACK_PACKAGE_NAME VIBes)

    SET(CPACK_GENERATOR "DragNDrop")
    include(CPack)
ENDIF(APPLE)

# Copy API files
#install(FILES ../client-api/C/vibes.h ../client-api/C/vibes.c DESTINATION "Vibes C")
#install(DIRECTORY ../client-api/C/examples DESTINATION "Vibes C")

install(DIRECTORY ../client-api/C++/src DESTINATION "Vibes C++")
install(DIRECTORY ../client-api/C++/examples DESTINATION "Vibes C++")

add_library(VIBES STATIC ../client-api/C++/src/vibes.h ../client-api/C++/src/vibes.cpp)
install(TARGETS VIBES ARCHIVE DESTINATION lib LIBRARY DESTINATION lib)
install(FILES ../client-api/C++/src/vibes.h DESTINATION include)

=== client-api/C++/examples/CMakeLists.txt ===
# This file is part of VIBes' C++ API examples
#
# Copyright (c) 2013 Jeremy Nicola
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

IF (WIN32)
  ADD_DEFINITIONS(-DWIN32=1)
ELSE()
  ADD_DEFINITIONS(-DUNIX=1)
ENDIF()

PROJECT(vibes-cpp-examples)

SET(vibes_SOURCES ${CMAKE_CURRENT_LIST_DIR}/../src/vibes.cpp)

SET(interval_HEADERS interval/box.h interval/iboolean.h interval/interval.h)
SET(interval_SOURCES interval/box.cpp interval/iboolean.cpp interval/interval.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_LIST_DIR}/../src/)

ADD_EXECUTABLE(all_commands all_commands.cpp ${vibes_SOURCES})

INCLUDE_DIRECTORIES(interval)

ADD_EXECUTABLE(sivia_simple sivia_simple.cpp ${interval_SOURCES} ${vibes_SOURCES})

ADD_EXECUTABLE(pong pong.cpp ${interval_SOURCES} ${vibes_SOURCES})

=== client-api/python/docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
	$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/vibes-python.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/vibes-python.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/vibes-python"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/vibes-python"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
vibes (0.3.3+dfsg-1) unstable; urgency=medium

  * New upstream version 0.3.3+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Fri, 17 Oct 2025 12:20:49 -0300

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,15 @@
 Section: math
 Priority: optional
 Maintainer: Rafael Laboissière <rafael@debian.org>
-Rules-Requires-Root: no
 Build-Depends: cmake,
                debhelper-compat (= 13),
                dpkg-dev (>= 1.22.5),
-               libqt5svg5-dev,
                pandoc,
-               qtbase5-dev,
-               xauth,
-               xvfb
-Standards-Version: 4.7.0
+               qt6-base-dev,
+               qt6-svg-dev,
+               xauth <!nocheck>,
+               xvfb <!nocheck>
+Standards-Version: 4.7.2
 Homepage: https://enstabretagnerobotics.github.io/VIBES/
 Vcs-Browser: https://salsa.debian.org/debian/vibes
 Vcs-Git: https://salsa.debian.org/debian/vibes.git
@@ -54,6 +53,7 @@
 Breaks: libvibes0 (<< ${source:Version})
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: visualizer for intervals and boxes (client library for C++)

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 CXXFLAGS += $(CPPFLAGS)
 
 CMAKE_FLAGS = -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_INSTALL_PREFIX=distrib
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@
@@ -20,8 +22,8 @@
 	    debian/VIBes-viewer.md			\
 	    --output=viewer/build/VIBes-viewer.1
 
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	VIBES_VIEWER=viewer/build/VIBes-viewer	\
 	    QT_QPA_PLATFORM=offscreen		\
 	    xvfb-run -a debian/tests/run-tests

=== debian/tests/control ===
Test-Command: QT_QPA_PLATFORM=offscreen xvfb-run -a debian/tests/run-tests
Depends: @, @builddeps@

=== debian/watch ===
Version: 5

Template: Github
Owner: ENSTABretagneRobotics
Project: VIBES
Repacksuffix: +dfsg
Uversionmangle: s/^vibes-/vibes-/
Dversionmangle: s/[~+]dfsg[0-9]*//
Compression: xz

## vibes 0.3.4+dfsg

=== debian/changelog ===
vibes (0.3.4+dfsg-1) unstable; urgency=medium

  * New upstream version 0.3.4+dfsg

 -- Rafael Laboissière <rafael@debian.org>  Tue, 06 Jan 2026 08:50:15 -0300
